Bug 77497

Summary: [Chromium] rebaseline test on win/mac after enabling paint opaque tracking for draw culling
Product: WebKit Reporter: Dana Jansens <danakj>
Component: New BugsAssignee: Dana Jansens <danakj>
Status: RESOLVED FIXED    
Severity: Normal CC: backer, dglazkov, jamesr, piman, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Dana Jansens 2012-01-31 17:34:20 PST
[Chromium] rebaseline test on win/mac after enabling paint opaque tracking for draw culling
Comment 1 Dana Jansens 2012-01-31 17:35:45 PST
Created attachment 124860 [details]
Patch
Comment 3 James Robinson 2012-01-31 17:40:28 PST
Comment on attachment 124860 [details]
Patch

RS=me
Comment 4 WebKit Review Bot 2012-01-31 18:41:33 PST
Comment on attachment 124860 [details]
Patch

Attachment 124860 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/11386254

New failing tests:
fast/repaint/block-selection-gap-in-composited-layer.html
Comment 5 Dana Jansens 2012-01-31 18:53:23 PST
I don't understand how linux can start failing from this.. help?
Comment 6 Adam Barth 2012-01-31 19:32:55 PST
Comment on attachment 124860 [details]
Patch

chromium-linux inherits from chromium-win.  https://docs.google.com/drawings/d/1z65SKkWrD4Slm6jobIphHwwRADyUtjOAxwGBVKBY8Kc/edit?hl=en_US
Comment 7 Dana Jansens 2012-02-01 08:38:04 PST
Created attachment 124955 [details]
Patch

ok have a win/linux version of the image. optimize is rm'ing the mac image and i hope it's correct. i will do the text_expectations in a separate commit, as my first rebaseline, i don't want to break stuff if i did this wrong..
Comment 8 WebKit Review Bot 2012-02-06 14:35:32 PST
Comment on attachment 124955 [details]
Patch

Clearing flags on attachment: 124955

Committed r106854: <http://trac.webkit.org/changeset/106854>
Comment 9 WebKit Review Bot 2012-02-06 14:35:36 PST
All reviewed patches have been landed.  Closing bug.